=== debian/changelog ===
ukopp (3.8-2) unstable; urgency=low

  * Pass -Wl,--as-needed to the linker.
  * Correct linking order to set LDFLAGS properly.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Nov 2010 00:19:59 +0100

ukopp (3.8-1) unstable; urgency=low

  * Initial release (Closes: #597683).

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Sep 2010 09:33:32 +0200
