=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/ukopp/ install
	rm -f \
		$(CURDIR)/debian/ukopp/usr/share/doc/ukopp/COPYING \
		$(CURDIR)/debian/ukopp/usr/share/doc/ukopp/CHANGES
	chmod -x $(CURDIR)/debian/ukopp/usr/share/ukopp/icons/*
	cp desktop \
		$(CURDIR)/debian/ukopp/usr/share/applications/ukopp.desktop
