=== debian/changelog ===
ukopp (3.9-1) unstable; urgency=low

  * Imported Upstream version 3.9:
    - A man page was added.
    - Window is dumped to log file before exit.
    - Detect error: selected file outside restore-from directory hierarchy.
  * debian/{patches/*,rules}:
    - Let Makefile handle substitutions in the desktop file.
    - Let Makefile install the desktop file.
  * Refresh patches.
  * Improve debian/patches/02-makefile.patch's description.
  * debian/patches/03-manpage.patch:
    - "-" must be escaped ("\-") to be interpreted as minus.
  * Remove manpages, added upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 May 2011 13:39:42 +0200
