=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pkg-config,
  libgtk2.0-dev,
  libglib2.0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/ukopp/
 Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git
