=== debian/changelog ===
ukopp (4.0-2) unstable; urgency=low

  * Set udev as required only on Linux (Closes: #646359). Thank you Adam!

 -- Alessio Treglia <alessio@debian.org>  Sun, 23 Oct 2011 18:03:35 +0200

ukopp (4.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop 03-manpage.patch, applied upstream.
  * debian/copyright: Update to reflect DEP-5 changes.

 -- Alessio Treglia <alessio@debian.org>  Fri, 07 Oct 2011 18:06:07 +0200
