=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: ukopp
 Architecture: any
 Depends: ${shlibs:Depends},
- udev,
+ udev [linux-any],
  ${misc:Depends}
 Description: Full and incremental backup to disk or disk-like device
  Ukopp is used to copy or back-up disk files to a disk or disk-like device,
