=== debian/changelog ===
ukopp (4.1-2) unstable; urgency=low

  * Imported patch 03-fix-include-gtk-as-FTBFS.patch from Ubuntu,
    fixes FTBFS including gtk.h before pthread redefinitions

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 07 Jan 2012 11:32:49 +0100

ukopp (4.1-1) unstable; urgency=low

  * Imported Upstream version 4.1
  * Refresh 01-desktop_file.patch
  * Refresh 02-makefile.patch
  * New maintainer (Closes: #650447)

 -- Leo Iannacone <l3on@ubuntu.com>  Mon, 12 Dec 2011 00:45:30 +0100
