## ukopp 4.4

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # ukopp makefile 
 
 PROGRAM = ukopp
-VERSION = 4.1
+VERSION = 4.4
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS ?= -O3 -g -Wall
+CXXFLAGS ?= -O3 -g -Wall -Wno-deprecated-declarations
 LDFLAGS ?= -O3 -g -Wall -rdynamic
 PREFIX ?= /usr
 
@@ -17,8 +17,8 @@
 MANDIR = $(PREFIX)/share/man/man1
 MENUFILE = $(PREFIX)/share/applications/kornelix-$(PROGRAM).desktop
 
-CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
-LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`
+CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
+LIBS = `pkg-config --libs gtk+-3.0`
 
 $(PROGRAM): $(PROGRAM).o zfuncs.o
 	$(CXX) $(LDFLAGS) $(PROGRAM).o zfuncs.o $(LIBS) -o $(PROGRAM)
