=== debian/changelog ===
ukopp (4.4-1) unstable; urgency=low

  * New upstream release (closes: #668485).
  * Removed fix-include-gtk-as-FTBFS.patch, changes are now in upstream.
  * Refreshed old patches.
  * Bump standards version to 3.9.3.
  * Updated debian/copyright format.

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 24 May 2012 10:46:15 +0200
