=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kornelix.squarespace.com/ukopp/
 Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git
