=== debian/watch ===
version=3
http://kornelix.squarespace.com/downloads/ \
	/storage/downloads/ukopp-(.*)\.tar\.gz
