## ukopp 4.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # ukopp makefile 
 
 PROGRAM = ukopp
-VERSION = 4.4
+VERSION = 4.7
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS ?= -O3 -g -Wall -Wno-deprecated-declarations
+CXXFLAGS ?= -O3 -g -Wall
 LDFLAGS ?= -O3 -g -Wall -rdynamic
 PREFIX ?= /usr
 
@@ -26,8 +26,10 @@
 $(PROGRAM).o: $(SOURCE)
 	$(CXX) $(CFLAGS) -o $(PROGRAM).o $(SOURCE)
 
-zfuncs.o: zfuncs.cc
-	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"
+zfuncs.o: zfuncs.cc zfuncs.h
+	$(CXX) $(CFLAGS) zfuncs.cc \
+          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"   \
+          -Wno-deprecated-declarations 
 
 install: $(PROGRAM)
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -36,7 +38,7 @@
 	mkdir -p  $(DESTDIR)$(MANDIR)
 	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
 	cp -f  $(PROGRAM) $(DESTDIR)$(BINDIR)
-	cp -f  icons/* $(DESTDIR)$(ICONDIR)
+	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	# man page
 	cp -f doc/$(PROGRAM).man $(PROGRAM).1
@@ -49,8 +51,8 @@
 
 uninstall:
 	rm -f  $(DESTDIR)$(BINDIR)/$(PROGRAM)
-	rm -R -f  $(DESTDIR)$(SHAREDIR)
-	rm -R -f  $(DESTDIR)$(DOCDIR)
+	rm -f -R  $(DESTDIR)$(SHAREDIR)
+	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/$(PROGRAM).1.gz
 	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
 	rm -f  $(DESTDIR)$(MENUFILE)
