=== debian/changelog ===
ukopp (4.7-1) unstable; urgency=low

  * New upstream release.
  * Update watch file
  * Fix VCS urls
  * debian/control:
    + fix project homepage url
    + bump standards-version
  * Use debhelper 9 for hardering
  * Refreshed old patch
  * Added keywords to .desktop file
  * new 03-fix-ftbfs-underlink.patch: Added missing pthread
    lib to link, fixing FTBFS on armhf.
    Thanks to Daniel T Chen (closes: #713696).
  * new 04-fix-install-userguide.patch: fix missing data dir
    on install.
  * debian/dkopp.doc-base: fix paths.

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 10 Jul 2013 14:29:35 +0200
