=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Leo Iannacone <l3on@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 3.9.3
-Homepage: http://kornelix.squarespace.com/ukopp/
-Vcs-Git: git://git.debian.org/collab-maint/ukopp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ukopp.git
+Standards-Version: 3.9.4
+Homepage: http://www.kornelix.com/ukopp.html
+Vcs-Git: git://anonscm.debian.org/collab-maint/ukopp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ukopp.git
 
 Package: ukopp
 Architecture: any
