=== debian/changelog ===
ukopp (4.9-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:32 +1100

ukopp (4.9-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:12:49 +0000

ukopp (4.9-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/watch: adding comment in the watch file about replacing 'ukopp'
    with the new 'backwild' software. The current link does not work.
  * debian/ukopp.install: changing the installation directory of the files.
  * debian/rules: added compilation option to enable "bindnow" in linker.
  * Update doc-base to reflect new documentation directory.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Wed, 07 Jun 2023 16:11:08 -0300

ukopp (4.9-2) UNRELEASED; urgency=medium

  * Migrate repository from alioth to salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:52:11 +0100

ukopp (4.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/02-makefile.patch.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 06 Jun 2014 14:33:57 +0200

ukopp (4.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Removed 03-fix-ftbfs-underlink.patch, applied upstream.
  * Removed 04-fix-install-userguide.patch, applied upstream.
  * Refreshed other patches.
  * debian/copyright: update source reference url.

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 16 Jan 2014 15:06:59 +0100
