=== debian/watch ===
# The upstream project "backwild" replaced the previous software "ukopp" and is maintained
# as "backwild" now. The new upstream page can be found at: https://www.kornelix.net/backwild/backwild.html

# Please note that the current link provided in this watch file is not working.
# It is recommended to update the watch file to reflect the new upstream project in future uploads.

version=3
http://www.kornelix.com/tarballs.html \
  /uploads/.*/ukopp-(.*)\.tar\.gz
