=== debian/changelog ===
ukopp (6.3-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Drop 02-makefile.patch, applied upstream.
  8 Add 02-icon-install.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Apr 2017 15:40:49 -0700
