=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ukopp
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Leo Iannacone <l3on@ubuntu.com>
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libgtk-3-dev,
  libglib2.0-dev
-Standards-Version: 4.6.2
+Standards-Version: 3.9.6
 Homepage: http://www.kornelix.com/ukopp.html
-Vcs-Git: https://salsa.debian.org/debian/ukopp.git
-Vcs-Browser: https://salsa.debian.org/debian/ukopp
+Vcs-Git: git://anonscm.debian.org/collab-maint/ukopp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ukopp.git
 
 Package: ukopp
 Architecture: any
