=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel
